FROM harbor.noris.net/docker.io/library/alpine

RUN apk add --no-cache nginx bash curl php82 php82-fpm php82-mysqli \
    php82-pdo php82-pdo_mysql php82-gd php82-opcache php82-session \
    php82-ctype php82-dom php82-mbstring php82-zlib php82-curl tar


RUN mkdir -p /run/nginx /var/log/nginx /data \
    && chmod o+rx /data \
    && chmod -R o+r /data \
    && rm -rf /var/www/html \
    && ln -s /data /var/www/html \
    && chown -R 101:101 /data

COPY nginx.conf /etc/nginx/nginx.conf
COPY --chmod=740 start.sh /start.sh 

EXPOSE 80

CMD ["/start.sh"]
